package cn.com.qmth.examcloud.core.questions.base.question;

import cn.com.qmth.examcloud.core.questions.base.question.enums.QuesStructType;

import java.io.Serializable;
import java.util.List;

/**
 * Created by songyue on 17/3/15.
 */
public class PaperDetailUnitDto implements Serializable {

    private static final long serialVersionUID = 6507445685386413261L;

    private String id;

    private Integer number;// 小题序号

    private Double score;// 小题分数

    private QuesStructType questionType;// 小题类型

    private List<SubQuestionDto> subQuestions;// 套题下面的子题,如不是套题集合为空

    private String quesId;// 关联试题Id

    private String answer;// 试题答案

    private List<Double> subScoreList;// 对应套题的情况下，各子题的分数分布

    /**
     * 选择题下option的排序,按照number排序 一般：4,2,3,1 套题下的选择题:1,2,3,4;2,3,4,1;3,2,1,4
     * 题与题之间按分号";"分隔
     */
    private String optionOrder;

    private String quesBody;// 子题题干,默认为html

    private List<QuesOptionDto> quesOptions;// 子题选项

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public QuesStructType getQuestionType() {
        return questionType;
    }

    public void setQuestionType(QuesStructType questionType) {
        this.questionType = questionType;
    }

    public String getQuesId() {
        return quesId;
    }

    public void setQuesId(String quesId) {
        this.quesId = quesId;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public List<SubQuestionDto> getSubQuestions() {
        return subQuestions;
    }

    public void setSubQuestions(List<SubQuestionDto> subQuestions) {
        this.subQuestions = subQuestions;
    }

    public List<Double> getSubScoreList() {
        return subScoreList;
    }

    public void setSubScoreList(List<Double> subScoreList) {
        this.subScoreList = subScoreList;
    }

    public String getOptionOrder() {
        return optionOrder;
    }

    public void setOptionOrder(String optionOrder) {
        this.optionOrder = optionOrder;
    }

    public String getQuesBody() {
        return quesBody;
    }

    public void setQuesBody(String quesBody) {
        this.quesBody = quesBody;
    }

    public List<QuesOptionDto> getQuesOptions() {
        return quesOptions;
    }

    public void setQuesOptions(List<QuesOptionDto> quesOptions) {
        this.quesOptions = quesOptions;
    }
}
